Upstream information

CVE-2009-3231 at MITRE

Description

The core server component in PostgreSQL 8.3 before 8.3.8 and 8.2 before 8.2.14, when using LDAP authentication with anonymous binds, allows remote attackers to bypass authentication via an empty password.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 537706 [RESOLVED / FIXED], 603970

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-32bit >= 8.3.8-0.1.1
  • postgresql-libs-x86 >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
Patchnames:
slessp0-postgresql
SUSE Linux Enterprise Server for SAP Applications 11
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-32bit >= 8.3.8-0.1.1
  • postgresql-libs-x86 >= 8.3.7-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
Patchnames:
slessp0-postgresql
openSUSE 11.0
  • postgresql-debuginfo >= 8.3.8-0.1
  • postgresql-debugsource >= 8.3.8-0.1
openSUSE 11.0
  • postgresql >= 8.3.8-0.1
  • postgresql-contrib >= 8.3.8-0.1
  • postgresql-devel >= 8.3.8-0.1
  • postgresql-docs >= 8.3.8-0.1
  • postgresql-libs >= 8.3.8-0.1
  • postgresql-libs-32bit >= 8.3.8-0.1
  • postgresql-libs-64bit >= 8.3.8-0.1
  • postgresql-server >= 8.3.8-0.1
openSUSE 11.1
  • postgresql-debuginfo >= 8.3.8-0.1.1
  • postgresql-debugsource >= 8.3.8-0.1.1
openSUSE 11.1
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-devel >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-32bit >= 8.3.8-0.1.1
  • postgresql-libs-64bit >= 8.3.8-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • postgresql >= 7.4.26-0.1
  • postgresql-contrib >= 7.4.26-0.1
  • postgresql-devel >= 7.4.26-0.1
  • postgresql-docs >= 7.4.26-0.1
  • postgresql-libs >= 7.4.26-0.1
  • postgresql-pl >= 7.4.26-0.1
  • postgresql-server >= 7.4.26-0.1
core9.x86
sles9-oes.x86
core9.x86-64
sles9-nld.x86
core9.s390
sles9-nlpos.x86
core9.ppc
sles9-nld.x86-64
core9.ia64
core9.s390x
YOU Patch Nr: 12509
Novell Linux Desktop 9 for x86_64
  • postgresql >= 7.4.26-0.1
  • postgresql-contrib >= 7.4.26-0.1
  • postgresql-devel >= 7.4.26-0.1
  • postgresql-docs >= 7.4.26-0.1
  • postgresql-libs >= 7.4.26-0.1
  • postgresql-libs-32bit >= 9-200909210011
  • postgresql-pl >= 7.4.26-0.1
  • postgresql-server >= 7.4.26-0.1
core9.x86
sles9-oes.x86
core9.x86-64
sles9-nld.x86
core9.s390
sles9-nlpos.x86
core9.ppc
sles9-nld.x86-64
core9.ia64
core9.s390x
YOU Patch Nr: 12509
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
  • postgresql-libs-32bit >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise SDK 10 SP3
  • postgresql >= 8.1.18-0.5.1
  • postgresql-contrib >= 8.1.18-0.5.1
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-docs >= 8.1.18-0.5.1
  • postgresql-pl >= 8.1.18-0.5.2
  • postgresql-server >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise Server 10 SP3
  • postgresql >= 8.1.18-0.5.1
  • postgresql-contrib >= 8.1.18-0.5.1
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-docs >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
  • postgresql-pl >= 8.1.18-0.5.2
  • postgresql-server >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise Server 10 SP3
  • postgresql >= 8.1.18-0.5.1
  • postgresql-contrib >= 8.1.18-0.5.1
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-docs >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
  • postgresql-libs-x86 >= 8.1.18-0.5.1
  • postgresql-pl >= 8.1.18-0.5.2
  • postgresql-server >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise Server 10 SP3
  • postgresql >= 8.1.18-0.5.1
  • postgresql-contrib >= 8.1.18-0.5.1
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-docs >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
  • postgresql-libs-64bit >= 8.1.18-0.5.1
  • postgresql-pl >= 8.1.18-0.5.2
  • postgresql-server >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
  • postgresql >= 8.1.18-0.5.1
  • postgresql-contrib >= 8.1.18-0.5.1
  • postgresql-devel >= 8.1.18-0.5.1
  • postgresql-docs >= 8.1.18-0.5.1
  • postgresql-libs >= 8.1.18-0.5.1
  • postgresql-libs-32bit >= 8.1.18-0.5.1
  • postgresql-pl >= 8.1.18-0.5.2
  • postgresql-server >= 8.1.18-0.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.ppc
sles10-sp3.ppc
sled10-sp3.x86
sle10-sp3-sdk.x86-64
sles10-sp3.ia64
sled10-sp3.x86-64
sle10-sp3-sdk.ia64
sles10-sp3.s390x
sles10-sp3.x86
sles10-sp3.x86-64
sle10-sp3-sdk.x86
ZYPP Patch Nr: 6535
SUSE Linux Enterprise SDK 11 GA
  • postgresql-devel >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise Desktop 11 GA
  • postgresql >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise Desktop 11 GA
  • postgresql >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-32bit >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-x86 >= 8.3.8-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise Server 11 GA
  • postgresql >= 8.3.8-0.1.1
  • postgresql-contrib >= 8.3.8-0.1.1
  • postgresql-docs >= 8.3.8-0.1.1
  • postgresql-libs >= 8.3.8-0.1.1
  • postgresql-libs-32bit >= 8.3.8-0.1.1
  • postgresql-server >= 8.3.8-0.1.1
sles11.ppc
sled11.x86
sle11-debuginfo.x86-64
sle11-sdk.x86-64
sle11-sdk.x86
sles11.x86
sle11-debuginfo.s390x
sle11-sdk.ia64
sle11-debuginfo.ppc
sled11.x86-64
sle11-debuginfo.x86
sle11-sdk.ppc
sles11.s390x
sle11-sdk.s390x
sles11.x86-64
sles11.ia64
sle11-debuginfo.ia64
SAT Patch Nr: 1319
SUSE Linux Enterprise SDK 10 SP2
  • postgresql >= 8.1.18-0.3
  • postgresql-contrib >= 8.1.18-0.3
  • postgresql-devel >= 8.1.18-0.3
  • postgresql-docs >= 8.1.18-0.3
  • postgresql-pl >= 8.1.18-0.3
  • postgresql-server >= 8.1.18-0.3
sle10-sp2-sdk.s390x
sles10-sp2.ppc
sles10-sp2.x86
sled10-sp2.x86-64
sles10-sp2.ia64
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86-64
sles10-sp2.x86-64
sled10-sp2.x86
sle10-sp2-sdk.ia64
sle10-sp2-sdk.x86
sles10-sp2.s390x
ZYPP Patch Nr: 6500


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 postgresql Released
SUSE Linux Enterprise Desktop 11 GA postgresql Released
SUSE Linux Enterprise Server 10 SP3 postgresql Released